See LICENSE for license (Apache-2.0)

About
=====

gaptool will create environments in AWS EC2, RDS, and Route 53 based on your chef recipes and make them manageable much in the same way that EngineYard and Heroku are.

Essentially, turning your IaaS into a PaaS.

Setup
=====

Examples of configuration for the tool are in common/

Example of chef repo to use this properly will be available soon

## Setup from Science Team

**RVM**

Follow the RVM installation instructions. Then run:

    $ rvm install 1.9.3
    $ rvm use 1.9.3

**Gaptool**

    $ gem install gaptool-client
    

Next, add your Gaptool credentials to your `.bash_profile` or other shell configuration file.

    $ echo "export GT_URL='<gt server endpoint>'" >> ~/.bash_profile
    $ echo "export GT_USER=<your username>" >> ~/.bash_profile
    $ echo "export GT_KEY=<your key>" >> ~/.bash_profile
    $ source ~/.bash_profile

For more information on Gaptool installation and usage, check out the [main Gaptool wiki](https://github.com/Gild/ops/wiki/main:Gaptool) and [Gaptool Client](https://github.com/Gild/ops/wiki/gaptool-client) wiki on GitHub.

**Test it out**

    $ gt

**SSH into Gild Source staging**

    $ gt ssh -r frontend -e staging -f
