Gem::Specification.new do |s|
  s.name        = 'gaptool-client'
  s.version     = File.read('VERSION').strip
  s.authors     = ['Francesco Laurita', 'Matt Bailey', 'Giacomo Bagnoli']
  s.email       = ['francesco@gild.com']
  s.homepage    = 'http://www.gild.com'
  s.summary     = %q{client for gaptool-server}
  s.description = %q{gaptool cli client}
  s.licenses    = ['MIT']

  s.rubyforge_project = 'gaptool-client'

  s.files         = Dir['bin/*'] + Dir['lib/**/*'] + %w(LICENSE.TXT README.md VERSION Rakefile gaptool-client.gemspec)
  s.test_files    = Dir['test/*']
  s.executables = Dir['bin/*'].map {|x| x.sub(/^bin\//, '')}
  s.require_paths = ['lib']

  s.add_runtime_dependency 'json', '~> 1.8'
  s.add_runtime_dependency 'rainbow', '~> 2.0'
  s.add_runtime_dependency 'clamp', '~> 0.6'
  s.add_runtime_dependency 'gaptool-api', '>= 0.8.1'
  s.add_runtime_dependency 'net-ssh', '< 2.10.0'
  s.add_runtime_dependency 'sshkit', '~> 1.8', '>= 1.8.1'
end
